%define module_name Mojolicious-Plugin-ConfigSimple
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Simple/Extended.pm) perl(Module/Build/Tiny.pm) perl(Mojolicious.pm) perl(Test/Exception.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt2
Summary: Config::Simple::Extended
Group: Development/Perl
License: perl
URL: https://github.com/hesco/Mojolicious-Plugin-ConfigSimple

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HE/HESCO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::ConfigSimple manpage is a the Mojolicious manpage plugin.
It is a very simple wrapper around the Config::Simple::Extended manpage, 
which in turn wraps the Config::Simple manpage.  Those two modules fully 
document their uses and interfaces and you are encouraged to 
review their perldoc to learn more.  But a quick summary is 
available below.  If you prefer the more idiomatic Mojo tradition 
of an $app->config->{'data_structure'} to the object oriented 
interface provided by the returned $cfg object, say for instance 
to support hypnotoad, then by all means.  The non-object data 
structure is returned if invoked in scalar context.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/M*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2
- updated summary

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

